import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class ByteGourmetServer extends HttpServlet {

    public void doGet(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
        processRequest(request, response) ;
    }

    public void doPost(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
        processRequest(request, response) ;
    }

    private String menu;

    public void processRequest(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException
    {
        Enumeration e = request.getParameterNames();
        PrintWriter out = response.getWriter ();

        com.ByteGourmetMenuBean bgBean = new com.ByteGourmetMenuBean() ;

        while (e.hasMoreElements()) {
            String name = (String)e.nextElement();
            String value = request.getParameter(name);

        System.out.println(name + "\t" + value) ;

            if(name.equals("restaurant")) {
              if(value.equals("thaiPalace")) {
                try {
                  // Create an instance of service locator
                  localhost.axis.tpmenu.ThaiPalaceMenuService_jws.ThaiPalaceMenuServiceServiceLocator serviceLocator =
                                  new localhost.axis.tpmenu.ThaiPalaceMenuService_jws.ThaiPalaceMenuServiceServiceLocator();
                  // Create an instance of desired service
                  localhost.axis.tpmenu.ThaiPalaceMenuService_jws.ThaiPalaceMenuService service =
                                  serviceLocator.getThaiPalaceMenuService();

                  menu = service.getMenu();
                  //System.out.println(menu);
                } catch (Exception err1)
                {
				  menu = "<html><head></head><body><h1>" + err1 + "</h1></body><html>";
                }
                  bgBean.setMenu(menu);
                  request.setAttribute ("menuBean", bgBean);
                  getServletConfig().getServletContext().getRequestDispatcher("/menu.jsp").forward(request, response);
              }
            }
        }
        //getServletConfig().getServletContext().getRequestDispatcher("/welcome.jsp").forward(request, response);

    }
}
